Bug 221240 - net/freerdp: Update to 2.0.0 RC0
Summary: net/freerdp: Update to 2.0.0 RC0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL: https://github.com/FreeRDP/FreeRDP/re...
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2017-08-05 08:55 UTC by Ben Woods
Modified: 2017-08-06 05:56 UTC (History)
2 users (show)

See Also:
kevans: maintainer-feedback+


Attachments
Patch to update net/freerdp to 2.0.0-rc0 (13.94 KB, patch)
2017-08-05 09:55 UTC, Ben Woods
woodsb02: maintainer-approval? (kevans)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Woods freebsd_committer 2017-08-05 08:55:37 UTC
The first release candidate of the FreeRDP 2.0.0 series (RC0) was released on 24th July 2017:
https://github.com/FreeRDP/FreeRDP/releases/tag/2.0.0-rc0

We should update to this version, as it is a tagged release candidate as opposed to the current port version which simply a GitHub commit which was found to be working. It will also allows FreeBSD to provide any feedback to the upstream project prior to the final 2.0.0 release if we find any bugs.
Comment 1 Ben Woods freebsd_committer 2017-08-05 09:55:09 UTC
Created attachment 185041 [details]
Patch to update net/freerdp to 2.0.0-rc0

Also included in this patch:
- Fix patches and post-patch to apply against new release
- Bump PORTREVISION of dependent ports
Comment 2 Kyle Evans freebsd_committer 2017-08-05 15:26:06 UTC
+1; make it happen, cap'n. I hadn't realized they tagged an RC
Comment 3 Ben Woods freebsd_committer 2017-08-06 00:31:40 UTC
Committed - thanks!
Comment 4 commit-hook freebsd_committer 2017-08-06 00:32:29 UTC
A commit references this bug:

Author: woodsb02
Date: Sun Aug  6 00:31:25 UTC 2017
New revision: 447436
URL: https://svnweb.freebsd.org/changeset/ports/447436

Log:
  net/freerdp: Update to 2.0.0 RC0

  - Fix patches and post-patch to apply against new release
  - Bump PORTREVISION of dependent ports

  PR:		221240
  Approved by:	kevans (maintainer)

Changes:
  head/net/freerdp/Makefile
  head/net/freerdp/distinfo
  head/net/freerdp/files/patch-libfreerdp_crypto_crypto.c
  head/net/freerdp/files/patch-libfreerdp_crypto_tls.c
  head/net/freerdp/files/patch-winpr_libwinpr_crypto_hash.c
  head/net/freerdp/files/patch-winpr_libwinpr_utils_ssl.c
  head/net/freerdp/files/patch-winpr_tools_makecert_makecert.c
  head/net/freerdp/pkg-plist
  head/net/remmina-plugin-rdp/Makefile
  head/net/vinagre/Makefile
Comment 5 Ben Woods freebsd_committer 2017-08-06 00:38:09 UTC
Hi Kyle,
As maintainer, do you have time to submit the FreeBSD patches from the Makefile and files/ directory (as they exist after this commit) upstream to the FreeRDP project (I presume as a github pull request)?

We may have time to get them integrated prior to the 2.0.0 release.

Regards,
Ben
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-06 05:56:51 UTC
Assign to committer that resolved, retaining maintainer as CC (already the case)